ConsumableConfiguration (Gradle API 8.11)

Package org.gradle.api.artifacts

## Interface ConsumableConfiguration

- All Superinterfaces:
    `AntBuilderAware`, `Buildable`, `Configuration`, `FileCollection`, `HasAttributes`, `HasConfigurableAttributes<Configuration>`, `java.lang.Iterable<java.io.File>`, `Named`

      @Incubating
      public interface ConsumableConfiguration
      extends Configuration

  A `Configuration` which can be consumed via Publishing and Dependency Management.
  Since:
    8.4

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.artifacts.Configuration

      `Configuration.Namer, Configuration.State`

    - ### Nested classes/interfaces inherited from interface org.gradle.api.file.FileCollection

      `FileCollection.AntType`

  - ### Method Summary

    - ### Methods inherited from interface org.gradle.api.artifacts.Configuration

      `copy, copy, copy, copyRecursive, copyRecursive, copyRecursive, defaultDependencies, disableConsistentResolution, exclude, extendsFrom, fileCollection, fileCollection, fileCollection, files, files, files, fromDependencyCollector, getAll, getAllArtifacts, getAllDependencies, getAllDependencyConstraints, getArtifacts, getBuildDependencies, getDependencies, getDependencyConstraints, getDescription, getExcludeRules, getExtendsFrom, getHierarchy, getIncoming, getOutgoing, getResolutionStrategy, getResolvedConfiguration, getState, getTaskDependencyFromProjectDependency, getUploadTaskName, isCanBeConsumed, isCanBeDeclared, isCanBeResolved, isTransitive, isVisible, outgoing, resolutionStrategy, resolutionStrategy, resolve, setCanBeConsumed, setCanBeDeclared, setCanBeResolved, setDescription, setExtendsFrom, setTransitive, setVisible, shouldResolveConsistentlyWith, withDependencies`

    - ### Methods inherited from interface org.gradle.api.file.FileCollection

      `addToAntBuilder, addToAntBuilder, contains, filter, filter, getAsFileTree, getAsPath, getElements, getFiles, getSingleFile, isEmpty, minus, plus`

    - ### Methods inherited from interface org.gradle.api.attributes.HasAttributes

      `getAttributes`

    - ### Methods inherited from interface org.gradle.api.attributes.HasConfigurableAttributes

      `attributes`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`